MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
notify Struct Reference

`#include <notify.hxx>`

Collaboration diagram for notify:
[legend]

## Public Member Functions
void | Wait ()
| Wait for a notification. More...
void | Signal ()
| Notify the thread. More...
void | Clear ()
| Clears a pending notification. More...

## Data Fields
Mutex | mutex
Cond | cond
bool | pending = false

## Detailed Description

Definition at line 26 of file notify.hxx.

## Member Function Documentation

void notify::Clear | ( |  | ) |

Clears a pending notification.

void notify::Signal | ( |  | ) |

Notify the thread.

This function never blocks.

void notify::Wait | ( |  | ) |

Wait for a notification.

Return immediately if we have already been notified since we last returned from notify_wait().

## Field Documentation

Cond notify::cond

Definition at line 28 of file notify.hxx.

Mutex notify::mutex

Definition at line 27 of file notify.hxx.

bool notify::pending = false

Definition at line 29 of file notify.hxx.

The documentation for this struct was generated from the following file:

- notify.hxx